/*
 *  This file is part of the KDE libraries
 *  Copyright (c) 2001 Michael Goffioul <goffioul@imec.be>
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License version 2 as published by the Free Software Foundation.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this library; see the file COPYING.LIB.  If not, write to
 *  the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 *  Boston, MA 02111-1307, USA.
 **/

#ifndef KMWDRIVERSELECT_H
#define KMWDRIVERSELECT_H

#include "kmwizardpage.h"
#include "kmdbentry.h"
#include "qlayout.h"
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlistbox.h>
#include <qdialog.h>
#include <qstringlist.h>
#include <qstring.h>

class KListBox;
class QPushButton;
class QLabel;
class QListBoxItem;
class DrMain;

class UISelect : public QDialog
{
    Q_OBJECT

public:
    UISelect( QWidget* parent = 0, QString currentDriver = 0, const char* name = 0, bool modal = TRUE, WFlags
 fl = 0 );
    ~UISelect();

    QPushButton* pbOK;
    QPushButton* pbCancel;
    QGroupBox* groupBox1;
    QLabel* tlIntro;
    QListBox* lbDriver;
    QStringList        m_driverlist;
    QString    m_currentdriver;
    //QString  m_currentPluginComment;
    //QString  m_currentSystem;
       KMPrinter       *m_printer;
       KMDBEntryList   *m_entries;
       KMDBEntry       *m_currentry;
    void languageChange();

protected:
    QGridLayout* UILayout;
    QVBoxLayout* groupBox1Layout;

protected slots:
    void slotOK(void);
};


class KMWDriverSelect : public KMWizardPage
{
	Q_OBJECT
public:
	KMWDriverSelect(QWidget *parent = 0, const char *name = 0);
       ~KMWDriverSelect();

	bool isValid(QString&);
	void initPrinter(KMPrinter*);
	void updatePrinter(KMPrinter*);
       void updateDriver(KMPrinter *p);
       void changeDefault(void);

protected slots:
	void slotDriverComment();
       void slotDriverSelect();
       void slotTest();
       void slotSettings();
       void slotlbChanged(QListBoxItem *item);

private:
	KListBox	*m_list;
	KMDBEntryList	*m_entries;
	QPushButton	*m_drivercomment;
       QVBoxLayout     *main_;
       KMDBEntry       *m_currentry;

       bool    m_bCreate;
       bool    m_recommendexist;
       QLabel  *m_recommend;
       QLabel  *m_manufacturer;
       QLabel  *m_model;
       QLabel  *m_driverinfo;
       QPushButton     *m_driverselect;
       QPushButton     *m_test;
       QPushButton     *m_settings;
       DrMain          *m_driver;
       KMPrinter       *m_printer;

       //add
       QLabel *l4;
       QHBoxLayout *laya, *layb, *lay0;
};

#endif
